upstream ballalama3_app_unicorn {
	server unix:/srv/www/web/ballalama3_app/shared/unicorn.sock fail_timeout=0;
}


server {

    listen [::]:443 ssl;

    server_name ballalama.com;
    root /srv/www/web/ballalama3_app/current/public;

    ssl on;
    ssl_certificate /srv/www/web/ballalama3_app/current/config/ssl/monserveur.crt;
    ssl_certificate_key /srv/www/web/ballalama3_app/current/config/ssl/monserveur.key;


    try_files $uri/index.html $uri @unicorn;

    #access_log /var/log/nginx/YOUR_APP_NAME_access.log combined;
    #error_log /var/log/nginx/YOUR_APP_NAME_error.log;

    location @unicorn {
        proxy_set_header X-Forwarded-For $remote_addr;
        proxy_set_header Host $http_host;
        proxy_redirect off;
        proxy_pass http://ballalama3_app_unicorn;
        proxy_set_header   X-Forwarded-Proto https;
    }

    error_page 500 502 503 504 /500.html;
    client_max_body_size 4G;
    keepalive_timeout 10;
}






server {
	listen [::]:80;
  server_name ballalama.com www.ballalama.com ballalama3.quartz.xyz;
  rewrite ^(.*) https://ballalama.com$1 permanent;
}
